searchData={"items":[{"type":"module","title":"BMP3XX","doc":"Read temperature and pressure in Elixir from [Bosch environmental\nsensors](https://www.bosch-sensortec.com/products/environmental-sensors/) such\nas BMP180, BMP280, BME280, BMP384, BMP388, BMP390, BME680, BME688, etc.","ref":"BMP3XX.html"},{"type":"function","title":"BMP3XX.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"BMP3XX.html#child_spec/1"},{"type":"function","title":"BMP3XX.detect/2","doc":"Detect the type of sensor that is located at the I2C address\n\nThe bus address is likely going to be 0x77 (the default) or 0x76.","ref":"BMP3XX.html#detect/2"},{"type":"function","title":"BMP3XX.force_altitude/2","doc":"Force the altitude to a known value\n\nAltitude calculations depend on the accuracy of the sea level pressure estimate. Since\nthe sea level pressure changes based on the weather, it needs to be kept up to date\nor altitude measurements can be pretty far off. Another way to set the sea level pressure\nis to report a known altitude. Call this function with the current altitude in meters.\n\nThis function returns an error if the attempt to sample the current barometric\npressure fails.","ref":"BMP3XX.html#force_altitude/2"},{"type":"function","title":"BMP3XX.measure/1","doc":"Measure the current temperature, pressure, altitude\n\nAn error is return if the I2C transactions fail.","ref":"BMP3XX.html#measure/1"},{"type":"function","title":"BMP3XX.start_link/1","doc":"Start a new GenServer for interacting with a BMP3XX\n\nNormally, you'll want to pass the `:bus_name` option to specify the I2C\nbus going to the BMP3XX.","ref":"BMP3XX.html#start_link/1"},{"type":"function","title":"BMP3XX.update_sea_level_pressure/2","doc":"Update the sea level pressure estimate\n\nThe sea level pressure should be specified in Pascals. The estimate\nis used for altitude calculations.","ref":"BMP3XX.html#update_sea_level_pressure/2"},{"type":"type","title":"BMP3XX.bmp2_sensor_type/0","doc":"","ref":"BMP3XX.html#t:bmp2_sensor_type/0"},{"type":"type","title":"BMP3XX.bmp3_sensor_type/0","doc":"","ref":"BMP3XX.html#t:bmp3_sensor_type/0"},{"type":"type","title":"BMP3XX.bus_address/0","doc":"","ref":"BMP3XX.html#t:bus_address/0"},{"type":"type","title":"BMP3XX.option/0","doc":"BMP3XX GenServer start_link options\n\n* `:name` - a name for the GenServer\n* `:bus_name` - which I2C bus to use (e.g., `\"i2c-1\"`)\n* `:bus_address` - the address of the BMP3XX (defaults to 0x77)\n* `:sea_level_pa` - a starting estimate for the sea level pressure in Pascals\n* `:retries` - the number of retries before failing (defaults to no retries)","ref":"BMP3XX.html#t:option/0"},{"type":"type","title":"BMP3XX.sensor_type/0","doc":"","ref":"BMP3XX.html#t:sensor_type/0"},{"type":"module","title":"BMP3XX.Measurement","doc":"One sensor measurement report","ref":"BMP3XX.Measurement.html"},{"type":"type","title":"BMP3XX.Measurement.t/0","doc":"","ref":"BMP3XX.Measurement.html#t:t/0"},{"type":"extras","title":"BMP3XX","doc":"# BMP3XX\n\n[![Hex version](https://img.shields.io/hexpm/v/bmp3xx.svg \"Hex version\")](https://hex.pm/packages/bmp3xx)\n[![API docs](https://img.shields.io/hexpm/v/bmp3xx.svg?label=docs \"API docs\")](https://hexdocs.pm/bmp3xx)\n[![CI](https://github.com/mnishiguchi/bmp3xx/actions/workflows/ci.yml/badge.svg)](https://github.com/mnishiguchi/bmp3xx/actions/workflows/ci.yml)\n[![REUSE status](https://api.reuse.software/badge/github.com/elixir-sensors/bmp3xx)](https://api.reuse.software/info/github.com/elixir-sensors/bmp3xx)\n\n<!-- MODULEDOC -->\nRead temperature and pressure in Elixir from [Bosch environmental\nsensors](https://www.bosch-sensortec.com/products/environmental-sensors/) such\nas BMP180, BMP280, BME280, BMP384, BMP388, BMP390, BME680, BME688, etc.\n<!-- MODULEDOC -->\n\n[![Run in Livebook](https://livebook.dev/badge/v1/blue.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Felixir-sensors%2Fbmp3xx%2Fblob%2Fmain%2Fnotebooks%2Fbasic_usage.livemd)","ref":"readme.html"},{"type":"extras","title":"Usage - BMP3XX","doc":"Here's an example use (most sensors are at address 0x77, but some are at 0x76):\n\n```elixir\niex> {:ok, bmp} = BMP3XX.start_link(bus_name: \"i2c-1\", bus_address: 0x77)\n{:ok, #PID<0.2190.0>}\niex> BMP3XX.measure(bmp)\n{:ok,\n %BMP3XX.Measurement{\n   altitude_m: 100.11370638569619,\n   pressure_pa: 100387.23387754142,\n   temperature_c: 30.542875839950284,\n   timestamp_ms: 62437\n }}\n```\n\nDepending on your hardware configuration, you may need to modify the call to\n[`BMP3XX.start_link/1`](https://hexdocs.pm/bmp3xx/BMP3XX.html#start_link/1).\nSee [`t:BMP3XX.options/0`](https://hexdocs.pm/bmp3xx/BMP3XX.html#t:options/0) for parameters.\n\nAll measurements are reported in SI units.\n\nThe altitude measurement is computed from the measured barometric pressure. To\nbe accurate, it requires either the current sea level pressure or the current\naltitude. Here's an example:\n\n```elixir\niex> BMP3XX.force_altitude(bmp, 100)\n:ok\n```\n\nSubsequent altitude reports should be more accurate until the weather changes.","ref":"readme.html#usage"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.1.8 - Changelog","doc":"#","ref":"changelog.html#v0-1-8"},{"type":"extras","title":"Improved - Changelog","doc":"- REUSE compliance\n- update dependencies in basic-usage notebook","ref":"changelog.html#improved"},{"type":"extras","title":"v0.1.7 - Changelog","doc":"#","ref":"changelog.html#v0-1-7"},{"type":"extras","title":"Added - Changelog","doc":"- add Livebook notebok for basic usage","ref":"changelog.html#added"},{"type":"extras","title":"v0.1.6 - Changelog","doc":"#","ref":"changelog.html#v0-1-6"},{"type":"extras","title":"Fixed - Changelog","doc":"- Standardize on the return value of `force_altitude` to be consistent with [bmp280](https://github.com/elixir-sensors/bmp280). (was: `{:ok, number}`, now: `:ok`)","ref":"changelog.html#fixed"},{"type":"extras","title":"v0.1.5 - Changelog","doc":"#","ref":"changelog.html#v0-1-5"},{"type":"extras","title":"Breaking changes - Changelog","doc":"- sensor type `:bmp388` is now changed to `:bmp380` to be consistent with other sensor types\n\n#","ref":"changelog.html#breaking-changes"},{"type":"extras","title":"Added - Changelog","doc":"- support for BMP 2 sensors namely:\n  - `:bmp180`\n  - `:bmp280`\n  - `:bme280`\n  - `:bme680`\n\n#","ref":"changelog.html#added"},{"type":"extras","title":"Improved - Changelog","doc":"- [ci] update CI\n- [test] re-write test using experimental [circuit_sim](https://github.com/elixir-circuits/circuits_sim)","ref":"changelog.html#improved"},{"type":"extras","title":"v0.1.4 - Changelog","doc":"#","ref":"changelog.html#v0-1-4"},{"type":"extras","title":"Improved - Changelog","doc":"- Support both v0 and v1 of `circuits_i2c`","ref":"changelog.html#improved"},{"type":"extras","title":"v0.1.3 - Changelog","doc":"#","ref":"changelog.html#v0-1-3"},{"type":"extras","title":"Improved - Changelog","doc":"- Simplify I2C-related code\n- Improve type spec and refactor","ref":"changelog.html#improved"},{"type":"extras","title":"v0.1.2 - Changelog","doc":"#","ref":"changelog.html#v0-1-2"},{"type":"extras","title":"Fixed - Changelog","doc":"- Remove default gen server name (previously defaulted to `__MODULE__`)","ref":"changelog.html#fixed"},{"type":"extras","title":"v0.1.1 - Changelog","doc":"#","ref":"changelog.html#v0-1-1"},{"type":"extras","title":"Improved - Changelog","doc":"- Log helpful message on init\n- Link to the BME388 data sheet in the Hexdoc","ref":"changelog.html#improved"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"Initial release","ref":"changelog.html#v0-1-0"}],"content_type":"text/markdown"}